org.eclipse.handly.model.impl

## Interface ISourceConstructImplExtension

- All Superinterfaces:
    IElement, IElementImpl, ISourceConstruct, ISourceConstructImpl, ISourceElement, ISourceElementImpl
  All Known Subinterfaces:
    ISourceConstructImplSupport
  All Known Implementing Classes:
    SourceConstruct

      public interface ISourceConstructImplExtension
      extends ISourceConstructImpl

  Extension of `ISourceConstructImpl` that introduces the notion of element's occurrence count. `ISourceConstruct`s may implement this interface.
  Restriction:
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOccurrenceCount_()` Returns the count used to distinguish source constructs that would otherwise be equal (such as two fields with the same name in the same type).
    `void` | `setOccurrenceCount_(int occurrenceCount)` Sets the occurrence count for this element.

    - ### Methods inherited from interface org.eclipse.handly.model.impl.ISourceConstructImpl

      `getParent_, getResource_`

    - ### Methods inherited from interface org.eclipse.handly.model.impl.ISourceElementImpl

      `getSourceElementAt_, getSourceElementInfo_`

    - ### Methods inherited from interface org.eclipse.handly.model.impl.IElementImpl

      `equalsAndSameParentChain_, exists_, getChildren_, getChildrenOfType_, getHandleMemento_, getLocationUri_, getModel_, getName_, getRoot_, toDisplayString_, toString_`

    - ### Methods inherited from interface org.eclipse.handly.model.IElement

      `equals, hashCode`

- - ### Method Detail

    - #### getOccurrenceCount_

          int getOccurrenceCount_()

      Returns the count used to distinguish source constructs that would otherwise be equal (such as two fields with the same name in the same type). Numbering starts at 1 (thus the first occurrence is occurrence 1, not occurrence 0).
      Returns:
        the occurrence count for this element

    - #### setOccurrenceCount_

          void setOccurrenceCount_(int occurrenceCount)

      Sets the occurrence count for this element.

      This method is intended to be used only when building the structure of a source file to distinguish source constructs that would otherwise be equal.

      Parameters:
        `occurrenceCount` - the occurrence count for this element (> 0)

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0